Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IDebugElement

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  IDebugTarget, IErrorReportingExpression, IExpression, IIndexedValue, IMemoryBlock, IRegister, IRegisterGroup, IStackFrame, IThread, IValue, IVariable, IWatchExpression

public interface IDebugElement
extends IAdaptable

A debug element represents an artifact in a program being debugged.

Some methods on debug elements require communication with the target program. Such methods may throw a `DebugException` with a status code of `TARGET_REQUEST_FAILED` when unable to complete a request due to a failure on the target. Methods that require communication with the target program or require the target to be in a specific state (for example, suspended), are declared as such.

Debug elements are language independent. However, language specific features can be made available via the adapter mechanism provided by `IAdaptable`, or by extending the debug element interfaces. A debug model is responsible for declaring any special adapters its debug elements implement.

Clients may implement this interface.

Method Summary
`IDebugTarget` | `getDebugTarget()` Returns the debug target this element is contained in.
`ILaunch` | `getLaunch()` Returns the launch this element is contained in.
`String` | `getModelIdentifier()` Returns the unique identifier of the plug-in this debug element originated from.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getModelIdentifier

    public String getModelIdentifier()

  Returns the unique identifier of the plug-in this debug element originated from.

  Returns:
    the plug-in identifier

### getDebugTarget

    public IDebugTarget getDebugTarget()

  Returns the debug target this element is contained in.

  Returns:
    the debug target this element is contained in

### getLaunch

    public ILaunch getLaunch()

  Returns the launch this element is contained in.

  Returns:
    the launch this element is contained in

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.